Qt 5.11 | Qt Multimedia | C++ Classes | QMediaStreamsControl

Qt 5.11.3 Reference Documentation

# QMediaStreamsControl Class

The QMediaStreamsControl class provides a media stream selection control. More...

Header: | #include <QMediaStreamsControl>
qmake: | QT += multimedia
Inherits: | QMediaControl

- List of all members, including inherited members

## Public Types

enum | StreamType { AudioStream, VideoStream, SubPictureStream, UnknownStream, DataStream }

## Public Functions

virtual | ~QMediaStreamsControl()
virtual bool | isActive(int streamNumber) = 0
virtual QVariant | metaData(int streamNumber, const QString &key) = 0
virtual void | setActive(int streamNumber, bool state) = 0
virtual int | streamCount() = 0
virtual QMediaStreamsControl::StreamType | streamType(int streamNumber) = 0

## Signals

void | activeStreamsChanged()
void | streamsChanged()

## Protected Functions

| QMediaStreamsControl(QObject *parent = nullptr)

## Macros

| QMediaStreamsControl_iid

## Detailed Description

The QMediaStreamsControl class provides a media stream selection control.

The QMediaStreamsControl class provides descriptions of the available media streams and allows individual streams to be activated and deactivated.

The interface name of QMediaStreamsControl is `org.qt-project.qt.mediastreamscontrol/5.0` as defined in QMediaStreamsControl_iid.

See also QMediaService::requestControl().

## Member Type Documentation

### enum QMediaStreamsControl::StreamType

Media stream type.

Constant | Value | Description
--- | --- | ---
`QMediaStreamsControl::AudioStream` | `2` | Audio stream.
`QMediaStreamsControl::VideoStream` | `1` | Video stream.
`QMediaStreamsControl::SubPictureStream` | `3` | Subpicture or teletext stream.
`QMediaStreamsControl::UnknownStream` | `0` | The stream type is unknown.
`QMediaStreamsControl::DataStream` | `4` |

## Member Function Documentation

### `[protected]` QMediaStreamsControl::QMediaStreamsControl(QObject *parent = nullptr)

Constructs a new media streams control with the given parent.

### `[virtual]` QMediaStreamsControl::~QMediaStreamsControl()

Destroys a media streams control.

### `[signal]` void QMediaStreamsControl::activeStreamsChanged()

The signal is emitted when the active streams list is changed.

### `[pure virtual]` bool QMediaStreamsControl::isActive(int streamNumber)

Returns true if the media stream streamNumber is active.

### `[pure virtual]` QVariant QMediaStreamsControl::metaData(int streamNumber, const QString &key)

Returns the meta-data value of key for the given streamNumber.

Useful metadata keys are QMediaMetaData::Title, QMediaMetaData::Description and QMediaMetaData::Language.

### `[pure virtual]` void QMediaStreamsControl::setActive(int streamNumber, bool state)

Sets the active state of media stream streamNumber.

Setting the active state of a media stream to true will activate it. If any other stream of the same type was previously active it will be deactivated. Setting the active state fo a media stream to false will deactivate it.

See also isActive().

### `[pure virtual]` int QMediaStreamsControl::streamCount()

Returns the number of media streams.

### `[pure virtual]` QMediaStreamsControl::StreamType QMediaStreamsControl::streamType(int streamNumber)

Return the type of media stream streamNumber.

### `[signal]` void QMediaStreamsControl::streamsChanged()

The signal is emitted when the available streams list is changed.

## Macro Documentation

### QMediaStreamsControl_iid

`org.qt-project.qt.mediastreamscontrol/5.0`

Defines the interface name of the QMediaStreamsControl class.